org.apache.lucene.analysis.tokenattributes

## Class FlagsAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.FlagsAttributeImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, FlagsAttribute, Attribute

      public class FlagsAttributeImpl
      extends AttributeImpl
      implements FlagsAttribute, java.lang.Cloneable, java.io.Serializable

  This attribute can be used to pass different flags down the tokenizer chain, eg from one TokenFilter to another one.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlagsAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(java.lang.Object other)` All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality.
    `int` | `getFlags()` EXPERIMENTAL: While we think this is here to stay, we may want to change it to be a long.
    `int` | `hashCode()` Subclasses must implement this method and should compute a hashCode similar to this:
    `void` | `setFlags(int flags)`

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlagsAttributeImpl

          public FlagsAttributeImpl()

  - ### Method Detail

    - #### getFlags

          public int getFlags()

      EXPERIMENTAL: While we think this is here to stay, we may want to change it to be a long.

      Get the bitset for any bits that have been set. This is completely distinct from `TypeAttribute.type()`, although they do share similar purposes. The flags can be used to encode information about the token for use by other `TokenFilter`s.
      Specified by:
        `getFlags` in interface `FlagsAttribute`
      Returns:
        The bits

    - #### setFlags

          public void setFlags(int flags)

      Specified by:
        `setFlags` in interface `FlagsAttribute`
      See Also:
        `getFlags()`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### equals

          public boolean equals(java.lang.Object other)

      Description copied from class: `AttributeImpl`
      All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality. see also `Object.equals(Object)`
      Specified by:
        `equals` in class `AttributeImpl`

    - #### hashCode

          public int hashCode()

      Description copied from class: `AttributeImpl`
      Subclasses must implement this method and should compute a hashCode similar to this:

             public int hashCode() {
               int code = startOffset;
               code = code * 31 + endOffset;
               return code;
             }

      see also `AttributeImpl.equals(Object)`
      Specified by:
        `hashCode` in class `AttributeImpl`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.